unit im_propertiesFRM;

{*********************************************}
{  This unit is a part of ImageE              }
{  Copyright  2003-2004 R.Geurts             }
{  See Readme.txt for licence information     }
{*********************************************}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, GR32_Image,im_childwin, StdCtrls, ExtCtrls,im_basic, Buttons;

type
  TPropertiesCTRLForm = class(TForm)
    dst: TImage32;
    Bevel1: TBevel;
    txtFilename: TLabel;
    txtSize: TLabel;
    txtColors: TLabel;
    txtmem: TLabel;
    txtFileType: TLabel;
    txtDPI: TLabel;
    txtDPIY: TLabel;
    txtColorMapCount: TLabel;
    OKBtn: TButton;
    HelpBtn: TSpeedButton;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure HelpBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    fname:string;
    { Public declarations }
  end;

var
  PropertiesCTRLForm: TPropertiesCTRLForm;

implementation

uses im_D5, im_MainFrm;

{$R *.dfm}

procedure TPropertiesCTRLForm.FormCreate(Sender: TObject);
begin
  left := PropertiesCTRLFormX;
  top := PropertiesCTRLFormY;
end;

procedure TPropertiesCTRLForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  PropertiesCTRLFormX := PropertiesCTRLForm.left;
  PropertiesCTRLFormY:= PropertiesCTRLForm.top;
end;

procedure TPropertiesCTRLForm.FormShow(Sender: TObject);
var
{   Child: TMDIChild; }
   mem:integer;
begin

   with MainForm.ActiveMDIChild as TMdiChild do begin

   mem:= round((imageview1.Bitmap.width*imageview1.Bitmap.height*32)/(1024*8));

   dst.Bitmap.assign(imageview1.bitmap);
   txtfilename.caption:='Filename : '+fname;
   txtsize.Caption:='Size : '+inttostr(imageview1.Bitmap.width) +' x '+ inttostr(imageview1.Bitmap.height);
   txtcolors.Caption:='Colors : '+inttostr(countcolors32(imageview1.Bitmap));
   txtmem.Caption:='Memory : '+inttostr(mem)+'kb';
   end;

{   txtFilename: TLabel;
    txtSize: TLabel;
    txtColors: TLabel;
    txtmem: TLabel;
    txtFileType: TLabel;
    txtDPI: TLabel;
    txtDPIY: TLabel;
    txtColorMapCount: TLabel;
}
end;



procedure TPropertiesCTRLForm.HelpBtnClick(Sender: TObject);
begin
  Application.HelpContext(3000);
end;

end.
