unit MeshData;
{Called to display data from  HoloForm}
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics,
  Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TfrmMeshData = class(TForm)
    rdMeshData: TRichEdit;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure ShowMeshData(const aList : TStringList);

implementation

{$R *.dfm}

procedure ShowMeshData(const aList : TStringList);
var
  lfrm : TfrmMeshData;
begin
  if aList = nil then
    Exit;
    
  lfrm := TfrmMeshData.Create(nil);
  try
    lfrm.rdMeshData.Lines.Assign(aList);
    lfrm.ShowModal;
  finally
    FreeAndNil(lfrm);
  end;
end;

end.
